Package org.zkoss.bind.impl

## Class ParamCall

- java.lang.Object
- - org.zkoss.bind.impl.ParamCall

- Direct Known Subclasses:
    `ParamCallEx`

      public class ParamCall
      extends java.lang.Object

  To help invoke a method with `BindingParam` etc.. features.
  Since:
    6.0.0
  Author:
    dennis

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `ParamCall.ParamResolver<T>` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Map<java.lang.String,​java.lang.Object>` | `_bindingArgs` |
    `protected java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,​ParamCall.ParamResolver<java.lang.annotation.Annotation>>` | `_paramResolvers` |
    `static java.lang.String` | `BINDING_PARAM_CALL_TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParamCall()` |
    `ParamCall​(boolean mappingType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `call​(java.lang.Object base, java.lang.reflect.Method method)` |
    `protected java.lang.String` | `getAnnotatedParameterName​(java.lang.Class<? extends java.lang.annotation.Annotation> annoClass, java.lang.String annoValue, java.util.function.Supplier<java.lang.String> parameterName)` |
    `BindContext` | `getBindContext()` |
    `Binder` | `getBinder()` |
    `protected java.lang.Object` | `resolveParameter​(java.lang.annotation.Annotation[] parmAnnos, java.lang.Class<?> paramType, java.lang.reflect.Method method, int index)` |
    `protected java.lang.Object` | `resolveParameter0​(java.lang.Object val, java.lang.Class<?> returnType)` |
    `void` | `setBindContext​(BindContext ctx)` |
    `void` | `setBinder​(Binder binder)` |
    `void` | `setBindingArgs​(java.util.Map<java.lang.String,​java.lang.Object> bindingArgs)` |
    `void` | `setComponent​(Component comp)` |
    `void` | `setExecution​(Execution exec)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _paramResolvers

          protected java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,​ParamCall.ParamResolver<java.lang.annotation.Annotation>> _paramResolvers

    - #### BINDING_PARAM_CALL_TYPE

          public static final java.lang.String BINDING_PARAM_CALL_TYPE

      See Also:
        Constant Field Values

    - #### _bindingArgs

          protected java.util.Map<java.lang.String,​java.lang.Object> _bindingArgs

  - ### Constructor Detail

    - #### ParamCall

          public ParamCall()

    - #### ParamCall

          public ParamCall​(boolean mappingType)

  - ### Method Detail

    - #### setBindContext

          public void setBindContext​(BindContext ctx)

    - #### getBindContext

          public BindContext getBindContext()

    - #### setBinder

          public void setBinder​(Binder binder)

    - #### getBinder

          public Binder getBinder()

    - #### setBindingArgs

          public void setBindingArgs​(java.util.Map<java.lang.String,​java.lang.Object> bindingArgs)

    - #### getAnnotatedParameterName

          protected java.lang.String getAnnotatedParameterName​(java.lang.Class<? extends java.lang.annotation.Annotation> annoClass,
                                                               java.lang.String annoValue,
                                                               java.util.function.Supplier<java.lang.String> parameterName)

    - #### call

          public void call​(java.lang.Object base,
                           java.lang.reflect.Method method)

    - #### resolveParameter

          protected java.lang.Object resolveParameter​(java.lang.annotation.Annotation[] parmAnnos,
                                                      java.lang.Class<?> paramType,
                                                      java.lang.reflect.Method method,
                                                      int index)

    - #### resolveParameter0

          protected java.lang.Object resolveParameter0​(java.lang.Object val,
                                                       java.lang.Class<?> returnType)

    - #### setComponent

          public void setComponent​(Component comp)

    - #### setExecution

          public void setExecution​(Execution exec)